<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex items-center pb-8 px-3.5 w-full">
  <p-checkbox
    [(ngModel)]="allSelected"
    inputId="select-all-privacy"
    [binary]="true"
    (onChange)="toggleAll()"
  ></p-checkbox>
  <label for="select-all-privacy" class="cursor-pointer pl-4 text-sm text-text-300">Select all</label>
  <div class="pl-6 h-[36px] flex items-center gap-6 grow">
    <ng-container *ngIf="selectedItems.length > 0">
      <p-button [label]="label" (onClick)="changePrivacy()" size="small"></p-button>
    </ng-container>
  </div>
</div>
<cdk-virtual-scroll-viewport [itemSize]="40.75" [minBufferPx]="380" [maxBufferPx]="400" class="section-pt-0 h-[400px]">
  <div class="divide-y divide-borderGrey w-full h-full">
    <div *cdkVirtualFor="let item of items$ | async; let i = index" class="flex items-center gap-4 py-6 px-3">
      <div class="grow flex items-center gap-4">
        <p-checkbox name="privacy" [(ngModel)]="selectedItems" [value]="item" (onChange)="toggleOne()"></p-checkbox>
        <app-item-preview [item]="item" [showPropCount]="false"></app-item-preview>
      </div>
      <div
        *ngIf="item['SPADE:Privacy']"
        class="flex items-center gap-3 py-2 px-4 border border-borderGrey bg-dialogGrey rounded-sm w-fit"
      >
        <i [class]="privacyIcon(item)"></i>
        <div>{{ item['SPADE:Privacy'].Caption | titlecase }}</div>
      </div>
    </div>
  </div>
</cdk-virtual-scroll-viewport>
